| Disk ARchive 2.5.10 Full featured and portable backup and archiving tool

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Protected Member Functions | List of all members
libdar::criterium Class Referenceabstract
API

the generic criterium class, parent of all criterium More...

`#include <criterium.hpp>`

Inherits libdar::on_pool.

Inherited by libdar::crit_and, libdar::crit_in_place_data_bigger, libdar::crit_in_place_data_dirty, libdar::crit_in_place_data_more_recent, libdar::crit_in_place_data_more_recent_or_equal_to, libdar::crit_in_place_data_saved, libdar::crit_in_place_data_sparse, libdar::crit_in_place_EA_more_recent, libdar::crit_in_place_EA_more_recent_or_equal_to, libdar::crit_in_place_EA_present, libdar::crit_in_place_EA_saved, libdar::crit_in_place_is_dir, libdar::crit_in_place_is_file, libdar::crit_in_place_is_hardlinked_inode, libdar::crit_in_place_is_inode, libdar::crit_in_place_is_new_hardlinked_inode, libdar::crit_in_place_more_EA, libdar::crit_not, and libdar::crit_same_type.

## Public Member Functions
virtual bool | evaluate (const cat_nomme &first, const cat_nomme &second) const =0
| criterum interface method More...
virtual criterium * | clone () const =0
| clone construction method More...
Public Member Functions inherited from libdar::on_pool
void * | operator new (size_t n_byte)
void * | operator new (size_t n_byte, const std::nothrow_t &nothrow_value)
void * | operator new[] (size_t n_byte)
void * | operator new[] (size_t n_byte, const std::nothrow_t &nothrow_value)
void * | operator new (size_t n_byte, memory_pool *p)
void * | operator new[] (size_t n_byte, memory_pool *p)
void | operator delete (void *ptr, memory_pool *p)
| this operator is called by the compiler if an exception is throw from the constructor of the allocated object
void | operator delete[] (void *ptr, memory_pool *p)
| this operator is called by the compiler if an exception is throw from the constructor of the allocated objects
void | operator delete (void *ptr)
| this is the usual delete operator, modified to handle allocated objects allocated on a memory pool or not
void | operator delete[] (void *ptr)
| this is the usual delete[] operator, modified to handle allocated objects allocated on a memory pool or not

## Static Protected Member Functions
static const cat_inode * | get_inode (const cat_nomme *arg)

## Additional Inherited Members
Protected Member Functions inherited from libdar::on_pool
memory_pool * | get_pool () const
template<class T >
void | meta_new (T *&ptr, size_t num)
template<class T >
void | meta_delete (T *ptr)

## Detailed Description

the generic criterium class, parent of all criterium

this is a pure virtual class that is used in API call it is used to federate under a single type all the criterium classes defined below. It defines a common interface for all of them.

Definition at line 133 of file criterium.hpp.

## Member Function Documentation

virtual criterium* libdar::criterium::clone | ( |  | ) | const
| pure virtual

clone construction method

Returns
  a new object of the same type,

Note
  this method must be implemented in all the leaf classes of the class hierarchy rooted at the criterium class

Implemented in libdar::crit_and, libdar::crit_not, libdar::crit_same_type, libdar::crit_in_place_EA_saved, libdar::crit_in_place_EA_bigger, libdar::crit_in_place_more_EA, libdar::crit_in_place_EA_more_recent_or_equal_to, libdar::crit_in_place_EA_more_recent, libdar::crit_in_place_EA_present, libdar::crit_in_place_data_sparse, libdar::crit_in_place_data_dirty, libdar::crit_in_place_data_saved, libdar::crit_in_place_data_bigger, libdar::crit_in_place_data_more_recent_or_equal_to, libdar::crit_in_place_data_more_recent, libdar::crit_in_place_is_new_hardlinked_inode, libdar::crit_in_place_is_hardlinked_inode, libdar::crit_in_place_is_file, libdar::crit_in_place_is_dir, and libdar::crit_in_place_is_inode.

virtual bool libdar::criterium::evaluate | ( | const cat_nomme & | first,
|  | const cat_nomme & | second
| ) |  | const
| pure virtual

criterum interface method

Parameters

  [in] | first | entry to compare with the following (this is the original or 'in place' entry)
  [in] | second | the other entry to compare with the previous one (this is the new entry to add)

Returns
  the result of the criterium evaluation (true or false)

Implemented in libdar::crit_and, libdar::crit_not, libdar::crit_same_type, libdar::crit_in_place_EA_saved, libdar::crit_in_place_EA_bigger, libdar::crit_in_place_more_EA, libdar::crit_in_place_EA_more_recent_or_equal_to, libdar::crit_in_place_EA_more_recent, libdar::crit_in_place_EA_present, libdar::crit_in_place_data_sparse, libdar::crit_in_place_data_dirty, libdar::crit_in_place_data_saved, libdar::crit_in_place_data_bigger, libdar::crit_in_place_data_more_recent_or_equal_to, libdar::crit_in_place_data_more_recent, libdar::crit_in_place_is_new_hardlinked_inode, libdar::crit_in_place_is_hardlinked_inode, libdar::crit_in_place_is_file, libdar::crit_in_place_is_dir, and libdar::crit_in_place_is_inode.

Referenced by libdar::crit_not::evaluate(), and libdar::testing::get_action().

The documentation for this class was generated from the following file:

- criterium.hpp